<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Compass Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d3f/class_compass.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Compass Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Compass:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/d3f/class_compass.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acfcfa7706df5f69cebc80451981021bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#acfcfa7706df5f69cebc80451981021bd">Compass</a> ()</td></tr>
<tr class="separator:acfcfa7706df5f69cebc80451981021bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a773b401976cf1eb0737a3c0b489ea4eb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#a773b401976cf1eb0737a3c0b489ea4eb">Open</a> ()</td></tr>
<tr class="separator:a773b401976cf1eb0737a3c0b489ea4eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2c3aee74a919cc1baee17144ac2fb3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#aae2c3aee74a919cc1baee17144ac2fb3">Close</a> ()</td></tr>
<tr class="separator:aae2c3aee74a919cc1baee17144ac2fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42752a543a35a58495f6dc2b4c8f231f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#a42752a543a35a58495f6dc2b4c8f231f">IsOpen</a> ()</td></tr>
<tr class="separator:a42752a543a35a58495f6dc2b4c8f231f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23156369400743674a6761475fad601b"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#a23156369400743674a6761475fad601b">UpdateVisualState</a> ()</td></tr>
<tr class="separator:a23156369400743674a6761475fad601b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42fe90a7e7b7173649efc1caff259f1f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#a42fe90a7e7b7173649efc1caff259f1f">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a42fe90a7e7b7173649efc1caff259f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb0b50196cb2bedc8d0829a6039e44d4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#afb0b50196cb2bedc8d0829a6039e44d4">SetActions</a> ()</td></tr>
<tr class="separator:afb0b50196cb2bedc8d0829a6039e44d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aeb07d768dd2d4a9be3a5802b2016cecb"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3f/class_compass.html#aeb07d768dd2d4a9be3a5802b2016cecb">m_Openable</a></td></tr>
<tr class="separator:aeb07d768dd2d4a9be3a5802b2016cecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acfcfa7706df5f69cebc80451981021bd" name="acfcfa7706df5f69cebc80451981021bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfcfa7706df5f69cebc80451981021bd">&#9670;&#160;</a></span>Compass()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Compass::Compass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aae2c3aee74a919cc1baee17144ac2fb3" name="aae2c3aee74a919cc1baee17144ac2fb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae2c3aee74a919cc1baee17144ac2fb3">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Compass::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00022">22</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<a id="a42752a543a35a58495f6dc2b4c8f231f" name="a42752a543a35a58495f6dc2b4c8f231f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42752a543a35a58495f6dc2b4c8f231f">&#9670;&#160;</a></span>IsOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Compass::IsOpen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00030">30</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<a id="a42fe90a7e7b7173649efc1caff259f1f" name="a42fe90a7e7b7173649efc1caff259f1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42fe90a7e7b7173649efc1caff259f1f">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Compass::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00047">47</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<a id="a773b401976cf1eb0737a3c0b489ea4eb" name="a773b401976cf1eb0737a3c0b489ea4eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a773b401976cf1eb0737a3c0b489ea4eb">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Compass::Open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00014">14</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<a id="afb0b50196cb2bedc8d0829a6039e44d4" name="afb0b50196cb2bedc8d0829a6039e44d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb0b50196cb2bedc8d0829a6039e44d4">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Compass::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00054">54</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<a id="a23156369400743674a6761475fad601b" name="a23156369400743674a6761475fad601b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23156369400743674a6761475fad601b">&#9670;&#160;</a></span>UpdateVisualState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void Compass::UpdateVisualState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00035">35</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aeb07d768dd2d4a9be3a5802b2016cecb" name="aeb07d768dd2d4a9be3a5802b2016cecb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb07d768dd2d4a9be3a5802b2016cecb">&#9670;&#160;</a></span>m_Openable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a> Compass::m_Openable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d07/_compass_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d4/d07/_compass_8c_source.html">Compass.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d3f/class_compass.html">Compass</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
